﻿using System;
using System.IO;
using System.Collections.Generic;
using System.Collections;
using PersonLib;

namespace PersonCollectionTest
{
    class PersonFileImporter
    {
        string path;
        List<Person> pList;

        public PersonFileImporter(string path, ref List<Person> pList) 
        {
            this.path = path;
            this.pList = pList;
            LoadFile(path);
        }

        public void LoadFile(string path)
        {
            if (File.Exists(path))
            {
                Console.WriteLine(path);

                // 한글처리시 필요함
                using (StreamReader sr = new StreamReader(path, System.Text.Encoding.Default))
                {
                    string line = "";
                    char[] delimiter = { ',' };
                    while ((line = sr.ReadLine()) != null)
                    {
                        Console.WriteLine(line);
                        // cvs file format parse
                        string[] items = line.Split(delimiter);
                        foreach (string s in items)
                        {
                            Console.WriteLine(s);
                        }
                        // add Person
                        Person p = new Person();
                        p.Name = items[0];
                        p.ID = int.Parse(items[1]);
                        p.Phone = items[2];
                        p.Address = items[3];
                        pList.Add(p);
                    }
                    sr.Close();
                }
            }
        }

        public void WriteFile(string path)
        {
            // 한글처리시 필요함
            using (StreamWriter sw = new StreamWriter(path, false, System.Text.Encoding.Default))
            {
                foreach (Person p in pList)
                    sw.WriteLine(p);                // Person에 ToString() 사용
                sw.Close();
            }
        }

    }
}
